// commpents/mobile-frame/mobile-main.js
const app = getApp()
Component({
    /**
     * 组件的属性列表
     */
    options: { multipleSlots: true },
    properties: {
        dialog: { type: Object, value: {} },
    },

    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached: function () { }, // 此处attached的声明会被lifetimes字段中的声明覆盖
    ready: function () { },
    pageLifetimes: {
        // 组件所在页面的生命周期函数
        show: function () { },
        hide: function () { },
        resize: function () { },
    },
    /**
     * 组件的初始数据
     */
    data: {

    },
    /**
     * 组件的方法列表
     */
    methods: {
        // 关闭弹框
        toClose() {
            this.triggerEvent('toClose')
        }
    }
})

